package com.supervision.service;

import com.supervision.dto.matchTool.ExtractInformationDTO;
import com.supervision.dto.matchTool.MatchQuestionAnswerDTO;

import java.util.List;

public interface MatchToolService {

    void refreshMatchToolLibrary();

    List<MatchQuestionAnswerDTO> execMatch(String question);


    ExtractInformationDTO extractInformation(String message);
}
